/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package web;

import java.sql.Time;

/**
 *
 * @author zwergnase
 */
public class subpath
{
    //current city
    Long cityId;
    //which train you have used
    Long trainId;
    //kaçta geldin buraya -- trenden alınıyor zaten
    Time arrTime;
    //eski cityden kaçta kalktın --aynen
    Time depTime;
    //partial cost
    float partialCost;
    //city Name
    String cityName;

    public String getCityName() {
        return cityName;
    }

    public Time getArrTime() {
        return arrTime;
    }

    public Long getCityId() {
        return cityId;
    }

    public Time getDepTime() {
        return depTime;
    }

    public float getPartialCost() {
        return partialCost;
    }

    public Long getTrainId() {
        return trainId;
    }

    subpath(Long ci,Long trid,Time dt,Time at)
    {
        cityId=ci;
        trainId=trid;
        arrTime=at;
        depTime=dt;

    }

    void printSubpath()
    {
        System.out.println(" city: "+cityId+ " trainId: "+trainId+" deptime "+depTime +" arrtime "+arrTime);
    }
}
